package jp.gr.java_conf.shiseissi.commonlib;

import android.content.Context;
import android.os.Looper;

/**
 *
 * @author shisei
 */
public abstract class ThreadUtil {

    /**
     * 現在のスレッドがメインスレッド（UI）スレッドかチェックする
     * @return
     */
    public static boolean isInMainThread() {
        return Thread.currentThread() == Looper.getMainLooper().getThread();
    }

    /**
     * 現在のスレッドがメインスレッド（UI）スレッドかチェックする
     * @param context
     * @return
     */
    public static boolean isInMainThread(Context context) {
        return Thread.currentThread() == context.getMainLooper().getThread();
    }

}
